/*
 * Twitter bootstrap with GitLab customizations/additions
 *
 */

// Core variables and mixins
@import "bootstrap/variables";
@import "bootstrap/mixins";

// Reset
@import "bootstrap/normalize";
@import "bootstrap/print";

// Core CSS
@import "bootstrap/scaffolding";
@import "bootstrap/type";
@import "bootstrap/code";
@import "bootstrap/grid";
@import "bootstrap/tables";
@import "bootstrap/forms";
@import "bootstrap/buttons";

// Components
@import "bootstrap/component-animations";
// @import "bootstrap/dropdowns";
@import "bootstrap/button-groups";
@import "bootstrap/input-groups";
@import "bootstrap/navs";
@import "bootstrap/navbar";
@import "bootstrap/breadcrumbs";
@import "bootstrap/pagination";
@import "bootstrap/pager";
@import "bootstrap/labels";
@import "bootstrap/badges";
@import "bootstrap/alerts";
// @import "bootstrap/progress-bars";
@import "bootstrap/list-group";
// @import "bootstrap/wells";
@import "bootstrap/close";
@import "bootstrap/panels";

// Components w/ JavaScript
@import "bootstrap/modals";
@import "bootstrap/tooltip";
@import "bootstrap/popovers";

// Utility classes
.clearfix {
  @include clearfix();
}

.center-block {
  @include center-block();
}

.pull-right {
  float: right !important;
}

.pull-left {
  float: left !important;
}

.hide {
  display: none;
}

.show {
  display: block !important;
}

.invisible {
  visibility: hidden;
}

.text-hide {
  @include text-hide();
}

.hidden {
  display: none !important;
  visibility: hidden !important;
}

.affix {
  position: fixed;
}

@import "bootstrap/responsive-utilities";

// Labels
.label {
  padding: 4px 5px;
  font-size: 13px;
  font-style: normal;
  font-weight: normal;
  display: inline-block;

  &.label-gray {
    background-color: $label-gray-bg;
    color: $gl-gray;
    text-shadow: none;
  }

  &.label-inverse {
    background-color: $label-inverse-bg;
  }
}


/**
 * fix to keep tooltips position in top navigation bar
 *
 */
.navbar .nav > li {
  position: relative;
  white-space: nowrap;
}

/**
 * Add some extra stuff to panels
 *
 */

.panel {
  box-shadow: none;

  .panel-body {
    form,
    pre {
      margin: 0;
    }

    .form-actions {
      margin: -15px;
      margin-top: 18px;
    }
  }

  .panel-footer {
    .pagination {
      margin: 0;
    }

    .btn {
      min-width: 124px;
    }

    .btn-clipboard {
      min-width: 0;
    }
  }

  &.panel-small {
    .panel-heading {
      padding: 6px 15px;
      font-size: 13px;
      font-weight: normal;

      a {
        color: $panel-heading-link-color;
      }
    }
  }
}

.panel-succes .panel-heading,
.panel-info .panel-heading,
.panel-danger .panel-heading,
.panel-warning .panel-heading,
.panel-primary .panel-heading,
.alert {
  a:not(.btn) {
    @extend .alert-link;
    color: $white-light;
    text-decoration: underline;
  }
}

// Typography =================================================================

.text-primary,
.text-primary:hover {
  color: $brand-primary;
}

.text-success,
.text-success:hover {
  color: $brand-success;
}

.text-danger,
.text-danger:hover {
  color: $brand-danger;
}

.text-warning,
.text-warning:hover {
  color: $brand-warning;
}

.text-info,
.text-info:hover {
  color: $brand-info;
}

// Prevent datetimes on tooltips to break into two lines
.local-timeago {
  white-space: nowrap;
}
